﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.TrendInsertDbViewModel

@{
    ViewBag.Title = "Credit Trend";
    Layout = "~/Views/Shared/_LayoutWithoutLeftMenu.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
    <div class="row">
        <div class="col-lg-5">
            <div class="clearfix">
                <h5>Project Name : @ViewBag.ProjectName</h5>
            </div>
        </div>
        <div class="col-lg-5">
            <div class="clearfix">
                <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
            </div>
        </div>
    </div>

    <h4> Create Trend</h4>

    @if (ViewBag.Message != string.Empty)
    {
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }

    @using (Html.BeginForm("Create", "Trend", FormMethod.Post))
    {
        @Html.AntiForgeryToken()

        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <!-- begin section-container -->

        <div class="section-container section-with-top-border p-b-10">
            <div class="row">
                <div class="col-lg-12 p-t">
                    <div class="panel panel-info"
                         data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                @Html.LabelFor(model => model.TrendName, "Trend Name", htmlAttributes: new { @class = "col-md-2" })
                            </h4>
                        </div>
                        @Html.TextAreaFor(model => model.TrendName, htmlAttributes: new { @class = "form-control", rows = "10" })
                        <script>
                            CKEDITOR.replace('TrendName', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },
                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
        </div>
        <!-- end section-container -->


        <!-- begin section-container -->

        <div class="section-with-top-border p-b-5">
            <div class="form-group">
                <div class="row">
                    <!-- begin col-6 -->
                    <div class="col-lg-6">
                        <div class="panel panel-info"
                             data-sortable-id="ui-widget-8">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <label class="col-md-6 col-form-label">Author Notes<span class="text-danger">*</span></label>
                                    @*@Html.LabelFor(model => model.AuthorRemark, "Author Note", htmlAttributes: new { @class = "col-md-6" })*@
                                </h4>
                            </div>
                            @Html.TextAreaFor(model => model.AuthorRemark, htmlAttributes: new { @class = "form-control no-rounded-corner", rows = "6", })
                            @*@Html.ValidationMessageFor(model => model.AuthorRemark, "", new { @class = "text-danger" })*@
                            <script>
                                CKEDITOR.replace('AuthorRemark', {
                                    height: 40,
                                    toolbarGroups: [{
                                        "name": "basicstyles",
                                        "groups": ["basicstyles"]
                                    },
                                    {
                                        "name": "links",
                                        "groups": ["links"]
                                    },
                                    {
                                        "name": "paragraph",
                                        "groups": ["list", "blocks"]
                                    },
                                    {
                                        "name": "document",
                                        "groups": ["mode"]
                                    },
                                    {
                                        "name": "insert",
                                        "groups": ["insert"]
                                    },
                                    {
                                        "name": "styles",
                                        "groups": ["styles"]
                                    },
                                    {
                                        "name": "about",
                                        "groups": ["about"]
                                    }
                                    ],
                                    removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                });

                            </script>
                        </div>
                    </div>
                    <!-- end col-6 -->
                    <!-- begin col-6 -->
                    <div class="col-lg-6">
                        <div class="panel panel-info"
                             data-sortable-id="ui-widget-8">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    @Html.LabelFor(model => model.ApproverRemark, "Approver Notes", htmlAttributes: new { @class = "col-md-6" })
                                </h4>
                            </div>
                            @Html.TextAreaFor(model => model.ApproverRemark, htmlAttributes: new { @class = "form-control no-rounded-corner", rows = "6" })
                            @Html.ValidationMessageFor(model => model.ApproverRemark, "", new { @class = "text-danger" })
                            <script>
                                CKEDITOR.replace('ApproverRemark', {
                                    height: 40,
                                    toolbarGroups: [{
                                        "name": "basicstyles",
                                        "groups": ["basicstyles"]
                                    },
                                    {
                                        "name": "links",
                                        "groups": ["links"]
                                    },
                                    {
                                        "name": "paragraph",
                                        "groups": ["list", "blocks"]
                                    },
                                    {
                                        "name": "document",
                                        "groups": ["mode"]
                                    },
                                    {
                                        "name": "insert",
                                        "groups": ["insert"]
                                    },
                                    {
                                        "name": "styles",
                                        "groups": ["styles"]
                                    },
                                    {
                                        "name": "about",
                                        "groups": ["about"]
                                    }
                                    ],
                                    removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                });

                            </script>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("_TrendAction")

        <script>
            $(document).ready(function () {
              
            $('[name="actionName"][value="Previous"]').hide();
                $('[name="actionName"][value="Next"]').hide();
                $('[name="actionName"][value="Submitted"]').hide();
                $('[name="actionName"][value="Approve"]').hide();
                $('[name="actionName"][value="Reject"]').hide();
            });
        </script>
        @*<div class="col-md-offset-5 p-l-15" style="text-align: center;">
                <button type="submit" name="actionName" value="Save" class="btn btn-grey btn-rounded m-b-5 width-100">Save</button>
                <a href="~/Trend/Index/@Model.ProjectID" class="btn btn-grey btn-rounded m-b-5 width-100">Cancel</a>
                <button type="submit" name="actionName" value="Submit" class="btn btn-grey btn-rounded m-b-5 width-100">Submit</button>
                <button type="button" name="actionName" class="btn btn-grey btn-rounded m-b-5 width-100">Approve</button>
                <button type="button" name="actionName" class="btn btn-grey btn-rounded m-b-5 width-100">Reject</button>
            </div>*@
    }

</div>
